bullet_name = "trailer-trash"

-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "trailer-1"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "trailer-1"

	actor[cp_move_type]			= cmt_random

	actor[cp_score]				= 1000

	actor[cp_mutate_hit_delay]		= 0.5

	actor[cp_hit_power]			= 5.0

	-- movement
	actor[cp_move_speed_min]		= 0.3
	actor[cp_move_speed_max]		= 0.3
	actor[cp_move_acceleration]		= 0.1
	actor[cp_move_deceleration]		= 0.0
	actor[cp_move_inertia_accn]		= 0.1
	actor[cp_move_inertia_decn]		= 0.0

	actor[cp_target_stop_dist]		= 5.0

--	local ang = 90.0
--	actor[cp_angle_grid_size]		= ang

--	actor[cp_turn_lock_angle_inner]		= 115.0
--	actor[cp_turn_lock_angle_outer]		= 125.0
--	actor[cp_turn_speed_still]			= 1.0
--	actor[cp_turn_acceleration_still]	= 0.5
--	actor[cp_turn_inertia_still]		= 0.5
	actor[cp_turn_speed_moving]			= 3.0
	actor[cp_turn_acceleration_moving]	= 1.0
	actor[cp_turn_inertia_moving]		= 0.0

	actor[cp_launch_scale_min]		= 65.0
	actor[cp_launch_scale_max]		= 65.0

	actor[cp_num_spawn_min]			= 20.0 -- 20.0
	actor[cp_num_spawn_max]			= 20.0 -- 20.0
	actor[cp_scale_spawn_min]		= 50.0
	actor[cp_scale_spawn_max]		= 80.0

	actor[cp_health_percent]		= 150.0

	actor[cp_random_edge_inner_percent]	= 0.0
	actor[cp_random_edge_outer_percent]	= 60.0	

	actor[cp_launch_hue_shift] = color

	actor[cp_difficulty_adjust_speed] = 25.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "swing", 100.0, 100.0, 0.0, 0.0 )
	c_set_random_anim( "sing", 100.0, 100.0, 0.0, 1.0 )	
	c_add_sound_to_anim( "sing", "trailer-sing" )	
	c_add_particle_to_anim( "swing", "mainbone", "trailer-1_trail" )
	seq = {0.0, 0.025, 0.05, 0.1, 0.15, 0.2, 0.3, 0.4, 0.5 }
	c_set_use_explosion_for( "bye_bye", "trailer-trash-flash", exp_no_align, 100.0, 0.0, 3000.0, 3000.0, seq )
	c_set_use_explosion_for( "bye_bye", "trailer-exp", exp_no_align, 0.0, 0.01, 4000.0, 4000.0, {0.0} )
	c_add_particle_to_explosion( "trailer-exp", "explode", "", "trailer-exp" )

	c_add_sound_to_explosion( "trailer-exp", "explode", "trailer-exp" )

	c_add_sound_to_event( "hit_active_bone", "trailer-hit" )

--	c_set_trigger_spawn( bullet_name, "swing", "body_x12", 5.0, 0.05, 0.05, 2.5 )
	c_set_trigger_spawn( bullet_name, "swing", "body_x12", 5.0, 0.1, 0.05, 2.5 )

	-- new state
	-- set new actor stuff
	actor[cp_num_spawn_min]			= 10.0
	actor[cp_num_spawn_max]			= 10.0
	-- send out
	c_set_trigger_state( "less_beasties_active", bullet_name, 15.0, 20.0, actor )
	-- set new anims etc...
	-- new state

	-- new state
	-- set new actor stuff
	actor[cp_num_spawn_min]			= 0.0
	actor[cp_num_spawn_max]			= 0.0
	-- send out
	c_set_trigger_state( "more_beasties_active", bullet_name, 40.0, 50.0, actor )
	-- set new anims etc...
	-- new state

	-- new state
	c_set_trigger_mutate( bullet_name, "my_health", 0.0, 0.0, 15, 20, 50.0, 80.0 )
	-- new state
